“MediaWiki:Common.css”的版本间的差异

来自人物百科
跳转至: 导航搜索
(正在將頁面替換為 '#mw-content-text img{width:100%;max-width:100%;}')
第1行: 第1行:
/* 此 CSS 會套用至所有的介面外觀 */
 
/* 此 CSS 會套用至所有的介面外觀 */
 
 
td{border:1px solid #bbb;padding:5px 2px;}
 
 
h2,h3,h4{font-weight:600;}
 
img{max-width:768px;
 
 
}
 
#sidebar h2 .widget-title{font-family: 'Microsoft JhengHei', sans-serif;}
 
 
.first{
 
font-family: 'Microsoft JhengHei', sans-serif;
 
color:#184678;
 
}
 
pre{font-style: normal;font-size:110%;}
 
 
.c1{width:8.33%;}
 
.c2{width:16.66%;}
 
.c3{width:23%;}
 
.c4{width:30%;}
 
.c5{width:38%;}
 
.c6{width:48%;}
 
.c7{width:58%;}
 
.c8{width:64%;}
 
.c9{width:71%;}
 
.c10{width:83.33%;}
 
.c11{width:91.66%;}
 
.c12{width:100%; min-height:1px; float:left; position:relative;}
 
.c1,.c2,.c3,.c4,.c5,.c6,.c7,.c8,.c9,.c10,.c11,.c1-5,.c1-8 {min-height:1px; float:left; padding-left:5px; padding-right:5px; position:relative;}
 
.c1.first,.c2.first,.c3.first,.c4.first,.c5.first,.c6.first,.c7.first,.c8.first,.c9.first,.c10.first,.c11.first,.c1-5.first,.c1-8.first {
 
padding-left: 0; position:relative;
 
}
 
.c1.last,.c2.last,.c3.last,.c4.last,.c5.last,.c6.last,.c7.last,.c8.last,.c9.last,.c10.last,.c11.last,.c1-5.last,.c1-8.last {
 
padding-right: 0; position:relative;
 
}
 
 
.note {
 
background-color: #ffffff;
 
margin: 5px 2px;
 
padding: 3px 3px;
 
 
color: #222;
 
font-size:100%;
 
border:1px solid #ddd;
 
border-radius:5px;
 
  -moz-border-radius:5px;
 
-webkit-border-radius:5px;
 
box-shadow: 0 1px 1px 0 rgba(100, 100, 100, 0.3);
 
      -moz-box-shadow: 0 1px 1px 0 rgba(100, 100, 100, 0.3);
 
-webkit-box-shadow: 0 1px 1px 0 rgba(100, 100, 100, 0.3);
 
}
 
 
#toc ul {padding-left:25px;list-style-type: none;list-style:none;}
 
 
#toc ol {padding-left:25px;list-style-type:none;}
 
#mw-content-text p{font-size:11pt;line-height:178%;color:#000000;}
 
 
 
#mw-content-text img{width:100%;max-width:100%;}
 
#mw-content-text img{width:100%;max-width:100%;}
#searchform input[type="search"],.searchform input[type="search"]
 
{
 
 
background: #fff;
 
border: 1px solid #aaa;
 
padding: 2px 10px;
 
vertical-align: middle;
 
outline: none;
 
border-radius: 5px;
 
  -moz-border-radius: 5px;
 
-webkit-border-radius: 5px;
 
transition: border linear 0.4s, box-shadow linear 0.4s;
 
-o-transition: border linear 0.4s, box-shadow linear 0.4s;
 
  -moz-transition: border linear 0.4s, box-shadow linear 0.4s;
 
-webkit-transition: border linear 0.4s, box-shadow linear 0.4s;
 
 
 
margin-bottom: 9px;
 
font-size: 13px;
 
font-weight:600;
 
 
line-height: 18px;
 
height: 30px;
 
}
 
 
#searchform input[type="submit"], #searchform.searchButton input[type="submit"], .editButtons input[type="submit"]{
 
display:inline-block;*display:inline;
 
padding:3px 11px;
 
margin-bottom:10px;*margin-left:.3em;
 
font-size:14px;
 
line-height:22px;*line-height:22px;
 
font-weight:800;
 
color:#005a87 !important;
 
text-align:center;
 
vertical-align:middle;
 
cursor:pointer;
 
border:1px solid #dedede;*border:0;
 
border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
 
border-color:#eeeeee,#dedede,#dedede;
 
border-radius:4px;
 
-o-border-radius:4px;
 
-ms-border-radius:4px;
 
-moz-border-radius:4px;
 
-webkit-border-radius:4px;
 
background-color: #f5f5f5;
 
background-image: linear-gradient(top, #f9f9f9, #efefef);
 
background-image: -ms-linear-gradient(top, #f9f9f9, #efefef);
 
background-image: -moz-linear-gradient(top, #f9f9f9, #efefef); 
 
background-image: -webkit-linear-gradient(top, #f9f9f9, #efefef);
 
filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#f9f9f9', EndColorStr='#efefef');
 
}
 
#mw-content-text td img{pagging:2px 2px;}
 
@media handheld, only screen and (min-width: 768px), only screen and (min-device-width: 768px) {
 
 
 
#mw-content-text p{font-size:130%;}
 
 
#mw-content-text dd{color:#005a87;font-size:110%;}
 
 
#mw-content-text li{color:#000080;font-size:110%;}
 
}
 
 
@media handheld, only screen and (max-width: 768px), only screen and (max-device-width: 768px) {
 
#mw-content-text td p{font-size:9pt;}
 
pre{width:96%;max-width:360px;word-break: word-break: break-word;;}
 
 
}
 
.image{
 
max-width:100%;
 
}
 

2022年5月20日 (五) 11:25的版本

#mw-content-text img{width:100%;max-width:100%;}